Sync icon-slicer 0.3-4 (universe) from Debian testing (main)

Bug #483761 reported by Charlie_Smotherman on 2009-11-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
icon-slicer (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync icon-slicer 0.3-4 (universe) from Debian testing (main)

Explanation of the Ubuntu delta and why it can be dropped:

debian/compat
 Upstream bumped debian/compat to 6
debian/copyright
 Upstream has changed to the porposed machine readable format.
debian/watch
 The only changes where the additon of a comment and the
 manipulation of white space
debian/control
 The sentence length of the long discription has been manipulated
 by upstream to maintain 80 chart length. Upstream added Vcs fields
 Package now Build-Depends on cdbs, devscripts, dh-buildinfo, help2man
 Upstream dropped Build-Depends on xbase-client
 Upstream changed the Section to graphics
 Upstream has included the 1001_hotspot_fix patch.

Changelog entries since current lucid version 0.3-1ubuntu3:

icon-slicer (0.3-4) unstable; urgency=low

  * Use section graphics (not devel).
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Bump up policy compliance to standards version 3.8.3.
  * Update debian/control format to DEP5 rev54.

 -- Jonas Smedegaard <email address hidden> Fri, 11 Sep 2009 09:27:49 +0200

icon-slicer (0.3-3) unstable; urgency=low

  * Use cdbs snippet patchsys-quilt.mk. Build-depend on quilt and
    patchutils.
  * Add patch 1001 to fix hotspot y coordinate (x coordinate was bogusly
    reused). Closes: bug#533020, thanks to Charlie Smotherman and Tim
    Swast.

 -- Jonas Smedegaard <email address hidden> Sat, 13 Jun 2009 23:03:15 +0200

icon-slicer (0.3-2) unstable; urgency=low

  * Remove TopGit noise (from merged-in cdbs-skel).
  * Tighten build-dependency on debhelper.

 -- Jonas Smedegaard <email address hidden> Tue, 05 May 2009 14:29:17 +0200

Changed in icon-slicer (Ubuntu):
importance: Undecided → Wishlist
Artur Rona (ari-tczew) on 2009-11-16
tags: added: sync
Changed in icon-slicer (Ubuntu):
assignee: nobody → fabrice_sp (fabricesp)
status: New → In Progress
Fabrice Coutadeur (fabricesp) wrote :

Sync request ack'd

Changed in icon-slicer (Ubuntu):
assignee: fabrice_sp (fabricesp) → nobody
status: In Progress → Triaged
Sebastien Bacher (seb128) wrote :

[Updating] icon-slicer (0.3-1ubuntu3 [Ubuntu] < 0.3-4 [Debian])
 * Trying to add icon-slicer...
  - <icon-slicer_0.3-4.dsc: downloading from http://ftp.debian.org/debian/>
  - <icon-slicer_0.3.orig.tar.gz: already in distro - downloading from librarian>
  - <icon-slicer_0.3-4.diff.gz: downloading from http://ftp.debian.org/debian/>
I: icon-slicer [universe] -> icon-slicer_0.3-1ubuntu3 [universe].

Changed in icon-slicer (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers